Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.schemamatching
Class SoundexMatcher

    java.lang.Object
      edu.udo.cs.miningmart.schemamatching.MmSchemaMatcher
          edu.udo.cs.miningmart.schemamatching.StringBasedSchemaMatcher
              edu.udo.cs.miningmart.schemamatching.SoundexMatcher

public class SoundexMatcher
extends StringBasedSchemaMatcher

A simple matcher based on the soundex representation of strings.

Version:
  $Id: SoundexMatcher.java,v 1.5 2006/04/11 14:10:17 euler Exp $
Author:
  Timm Euler

Constructor Summary
`SoundexMatcher()`

Method Summary
`double` | `getStringSimilarity(java.lang.String str1, java.lang.String str2)` Returns the double value that this matcher considers as the similarity between the two given Strings.

Methods inherited from class edu.udo.cs.miningmart.schemamatching.StringBasedSchemaMatcher
`getDirectSimilarity, getDirectSimilarity, getSimilarityInvolvingConcepts`

Methods inherited from class edu.udo.cs.miningmart.schemamatching.MmSchemaMatcher
`getSimilarity, getSimilarityMatrix, getThresholdForComparingAttributes, getThresholdForComparingConcepts`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoundexMatcher

    public SoundexMatcher()

Method Detail

### getStringSimilarity

    public double getStringSimilarity(java.lang.String str1,
                                      java.lang.String str2)
                               throws SchemaMatchException

  Description copied from class: `StringBasedSchemaMatcher`
  Returns the double value that this matcher considers as the similarity between the two given Strings.

  Specified by:
    `getStringSimilarity` in class `StringBasedSchemaMatcher`
  Parameters:
    `str1` - One String
    `str2` - Another String
  Returns:
    a similarity value
  Throws:
    `SchemaMatchException`
  See Also:
    `StringBasedSchemaMatcher.getStringSimilarity(String, String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005